//
//  YHMainInformationModel.swift
//  galaxy
//
//  Created by EDY on 2024/1/31.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import Foundation
import SmartCodable

class YHMainInformationModel: SmartCodable {
    var id: Int = 0
    var order_id: String  = ""
    var nationality: String  = ""
    var is_handled: Int  = 0
    var username: String  = ""
    var used_name: String  = ""
    var birthday: String  = ""
    var age: String  = ""
    var birth_place_aboard: Int  = 0
    var sex: Int  = 0
    var married: Int  = 0
    var mobile: String  = ""
    var email: String  = ""
    var address_aboard: Int = 0
    var has_hk_id: Int  = 0
    var hk_id_number: String = ""
    var step: Int  = 0
    var surname: String  = ""
    var is_live_oversea_year: Int  = 0
    var username_pinyin: YHUserNameModel  = YHUserNameModel()
    var birth_place: YHAddressModel  = YHAddressModel()
    var address: YHAddressModel  = YHAddressModel()
    var certificates: YHCertificatesModels  = YHCertificatesModels()
    
    var live_address: String = ""
    var live_address_detail: String = ""
    var have_permanent_residency: Int = 2
    var residence_time: String = ""
    required init() {
    }
}

class YHUserNameModel: SmartCodable {
    var family_name: String  = ""
    var given_name: String  = ""
    required init() {
    }
}

class YHAddressModel: SmartCodable {
    var area: [String] = []
    var country: String  = ""
    var details: String  = ""
    var foreign: String  = ""
    required init() {
    }
}

class YHCertificatesModels: SmartCodable {
    var hk_macao_pass: YHCertificatesModel  = YHCertificatesModel()
    var passport: YHCertificatesModel  = YHCertificatesModel()
    var cn_identity_card: YHCertificatesModel  = YHCertificatesModel()
    required init() {
    }
}

class YHCertificatesModel: SmartCodable {
    var number: String  = ""
    var issue_at: String  = ""
    var issue_date_start_at: String  = ""
    var issue_date_end_at: String  = ""
    var img_front: String  = ""
    var img_back: String  = ""
    var passport_type: Int  = 0
    required init() {
    }
}
